# Uses of Class
org.globus.ftp.ChecksumAlgorithm

Packages that use ChecksumAlgorithm
Package
Description
org.globus.ftp

## Uses of ChecksumAlgorithm in org.globus.ftp

Fields in org.globus.ftp declared as ChecksumAlgorithm
Modifier and Type
Field
Description
`protected ChecksumAlgorithm`
ChecksumOptions.`algo`
`static final ChecksumAlgorithm`
ChecksumAlgorithm.`MD5`
Methods in org.globus.ftp with parameters of type ChecksumAlgorithm
Modifier and Type
Method
Description
`String`
GridFTPClient.`checksum(ChecksumAlgorithm algorithm, long offset, long length, String file)`
Computes and returns a checksum of a file.
`void`
GridFTPClient.`setChecksum(ChecksumAlgorithm algorithm, String value)`
Sets the checksum values ahead of the transfer
Constructors in org.globus.ftp with parameters of type ChecksumAlgorithm
Modifier
Constructor
Description
``
`ChecksumOptions(ChecksumAlgorithm algo)`